libzypp 17.37.10

std::detail::detector< Default, AlwaysVoid, Op, Args > Struct Template Reference

`#include <zypp-core/zyppng/meta/type_traits.h>`

## Public Types
using | value_t = std::false_type
using | type = Default

## Detailed Description

template<class Default, class AlwaysVoid, template< class... > class Op, class... Args>
struct std::detail::detector< Default, AlwaysVoid, Op, Args >

Definition at line 26 of file type_traits.h.

## Member Typedef Documentation

## ◆ value_t

template<class Default, class AlwaysVoid, template< class... > class Op, class... Args>

using std::detail::detector< Default, AlwaysVoid, Op, Args >::value_t = std::false_type

Definition at line 27 of file type_traits.h.

## ◆ type

template<class Default, class AlwaysVoid, template< class... > class Op, class... Args>

using std::detail::detector< Default, AlwaysVoid, Op, Args >::type = Default

Definition at line 28 of file type_traits.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/meta/type_traits.h